#include "mainwindow.h"
#include "ui_mainwindow.h"


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    setWindowIcon(QIcon("./Resource/log.jpg"));

    m_listbox=new QListWidget(this);//创建一个列表框对象
    m_listbox->setGeometry(10,10,150,150);//设置列表框的位置和大小
    m_listbox->insertItem(0,"Item 1");//向列表框中插入条目
    m_listbox->insertItem(1,"Item 2");




}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::PLCSlot(uint16_t* data,int size)
{
    printf("plc slots \n");
    static unsigned short last_data[255]={0};
    for(int i=0;i<size;++i)
    {
        if(data[i]!=last_data[i])
        {
            char buf[255]={0};
            sprintf(buf,"P[%d] %d ---> %d",i,last_data[i],data[i]);
            m_listbox->insertItem(m_listbox->count(),buf);
            m_listbox->scrollToBottom();
        }
    }
}
#include "qmessagebox.h"
#include "src/pathcreator.h"
void MainWindow::on_m_test_btn_clicked()
{
    PathCreator pathCreator;
    pathCreator.CreateDatePath("/home/zx/data");

}

#include "Process.h"
extern CProcess* m_pProcess;
void MainWindow::on_m_add_clicked()
{

    m_pProcess->PushTask(0x03,1,false);

    /*int static k=3;
    char buf[255]={0};
    sprintf(buf,"Item %d",k++);
    m_listbox->insertItem(m_listbox->count(),buf);
    m_listbox->scrollToBottom();*/
}
