#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QListWidget>
#include <QPushButton>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_m_test_btn_clicked();
    void on_m_add_clicked();

private slots:
    void PLCSlot(uint16_t* data,int size);

private:
    QPushButton* m_test_button;
    QListWidget* m_listbox;

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
